Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# `incus file push`

Push files into instances

## Synopsis

Description:
Push files into instances

    incus file push <source path>... [<remote>:]<instance>/<path> [flags]

## Examples

      incus file push /etc/hosts foo/etc/hosts
         To push /etc/hosts into the instance "foo".

## Options

      -p, --create-dirs   Create any directories necessary
          --gid           Set the file's gid on push (default -1)
          --mode          Set the file's perms on push
      -r, --recursive     Recursively transfer files
          --uid           Set the file's uid on push (default -1)

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus file - Manage files in instances